const i = (t) => {
  var e;
  (e = t.layerIds) != null && e.length && t.layerIds.forEach((s) => {
    const r = document.getElementById(s);
    r._transitionTimer && clearTimeout(r._transitionTimer), r.style.transform = `matrix(1, 0, 0, 1, ${t.x}, ${t.y}) `, r.style.transition = `transform ${t.duration}ms ${t.speed} ${t.delay}ms`;
    const a = t.duration + t.delay;
    r._transitionTimer = setTimeout(() => {
      r.style.transition = "";
    }, a);
  });
};
export {
  i as executeMoveAction
};
